MODULE WCout; 
(* MODULE to replace Writing System.Log by writing to Disk. *)
IMPORT Kernel32, Strings;

CONST CR = 0DX; NL = 0AX; BLANK = 20X;

stdout=1;

PROCEDURE String*(s : ARRAY OF CHAR);
(* Writes  a String to the Windows console *)
VAR err: LONGINT;
BEGIN
	Kernel32.Str( s );
END String;

PROCEDURE Char*(s : CHAR);
(* Writes  a character to the Windows console *)
VAR ss : ARRAY 2 OF CHAR;
BEGIN
ss[0] := s; ss[1] := 0X;
	Kernel32.Str(ss);
END Char;

PROCEDURE Ln*();
BEGIN
	Kernel32.Ln();
END Ln;

PROCEDURE Int*(value : LONGINT; format : INTEGER);
VAR s : ARRAY 20 OF CHAR; i,j : LONGINT;
BEGIN
	Strings.IntToStr(value,s); j := format-Strings.Length(s);
	IF j < 0 THEN j := 0; END;
	i := 0; WHILE i < j DO Char( BLANK); INC(i) END;
	Kernel32.Str( s );
END Int;

PROCEDURE Test*;
VAR long : LONGINT; i : INTEGER; 
BEGIN
	String ("Das ist ein String"); Ln();
	i := 10; long := 100;
	Int(i,5); Ln(); Int(long,5); Ln();
END Test;

END WCout.Test

System.Free WCout~